Skip to main content
GET
/
payments
/
{id}
Get payment
curl --request GET \
  --url https://us.api.flexprice.io/v1/payments/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://us.api.flexprice.io/v1/payments/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://us.api.flexprice.io/v1/payments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "amount": "<string>",
  "attempts": [
    {
      "attempt_number": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "error_message": "<string>",
      "id": "<string>",
      "metadata": {},
      "payment_id": "<string>",
      "tenant_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "currency": "<string>",
  "destination_id": "<string>",
  "error_message": "<string>",
  "failed_at": "2023-11-07T05:31:56Z",
  "gateway_metadata": {},
  "gateway_payment_id": "<string>",
  "gateway_tracking_id": "<string>",
  "id": "<string>",
  "idempotency_key": "<string>",
  "invoice_number": "<string>",
  "metadata": {},
  "payment_gateway": "<string>",
  "payment_method_id": "<string>",
  "payment_url": "<string>",
  "refunded_at": "2023-11-07T05:31:56Z",
  "save_card_and_make_default": true,
  "succeeded_at": "2023-11-07T05:31:56Z",
  "tenant_id": "<string>",
  "track_attempts": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>",
  "voided_at": "2023-11-07T05:31:56Z"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Payment ID

Response

Payment details

amount
string
attempts
object[]
created_at
string<date-time>
created_by
string
currency
string
destination_id
string
destination_type
enum<string>
Available options:
INVOICE,
CUSTOMER
error_message
string
failed_at
string<date-time>
gateway_metadata
object
gateway_payment_id
string
gateway_tracking_id
string
id
string
idempotency_key
string
invoice_number
string
metadata
object
payment_gateway
string
payment_method_id
string
payment_method_type
enum<string>
Available options:
CARD,
ACH,
OFFLINE,
CREDITS,
PAYMENT_LINK
payment_status
enum<string>
Available options:
INITIATED,
PENDING,
PROCESSING,
SUCCEEDED,
OVERPAID,
FAILED,
REFUNDED,
PARTIALLY_REFUNDED,
VOIDED
payment_url
string
refunded_at
string<date-time>
save_card_and_make_default
boolean
succeeded_at
string<date-time>
tenant_id
string
track_attempts
boolean
updated_at
string<date-time>
updated_by
string
voided_at
string<date-time>